diff -ur slackware64-current/extra/source/php80/php80.SlackBuild slackware64-current.2/extra/source/php80/php80.SlackBuild
--- slackware64-current/extra/source/php80/php80.SlackBuild	2018-04-23 19:20:59.038170130 +0200
+++ slackware64-current.2/extra/source/php80/php80.SlackBuild	2021-09-18 13:40:06.778512214 +0200
@@ -25,7 +25,7 @@
 
 cd $(dirname $0) ; CWD=$(pwd)
 
-PKGNAM=php
+PKGNAM=php80
 VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 ALPINE=2.25
 BUILD=${BUILD:-1}
@@ -337,4 +337,4 @@
 #fi
 
 cd $PKG
-/sbin/makepkg -l y -c n $TMP/php80-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff -ur slackware64-current/extra/source/php81/php81.SlackBuild slackware64-current.2/extra/source/php81/php81.SlackBuild
--- slackware64-current/extra/source/php81/php81.SlackBuild	2018-04-23 19:20:59.038170130 +0200
+++ slackware64-current.2/extra/source/php81/php81.SlackBuild	2021-09-18 13:40:06.778512214 +0200
@@ -25,7 +25,7 @@
 
 cd $(dirname $0) ; CWD=$(pwd)
 
-PKGNAM=php
+PKGNAM=php81
 VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 ALPINE=2.25
 BUILD=${BUILD:-1}
@@ -337,4 +337,4 @@
 #fi
 
 cd $PKG
-/sbin/makepkg -l y -c n $TMP/php81-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff -ur slackware64-current/extra/source/xv/xv.SlackBuild slackware64-current.2/extra/source/xv/xv.SlackBuild
--- slackware64-current/extra/source/xv/xv.SlackBuild	2018-04-23 19:20:59.038170130 +0200
+++ slackware64-current.2/extra/source/xv/xv.SlackBuild	2021-09-18 13:40:06.778512214 +0200
@@ -64,6 +64,7 @@
   zcat $CWD/xv.prefix_x86_64.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 fi
 zcat $CWD/xv.jasper.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/xv.jas_memdump.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 zcat $CWD/xv-libpng-1.5.patch.gz | patch -p0 --verbose --backup --suffix=.orig || exit 1
 make -f Makefile.std || exit 1
 strip --strip-unneeded bggen vdcomp xcmap xv xvpictoppm
diff -ur slackware64-current/source/a/btrfs-progs/btrfs-progs.SlackBuild slackware64-current.2/source/a/btrfs-progs/btrfs-progs.SlackBuild
--- slackware64-current/source/a/btrfs-progs/btrfs-progs.SlackBuild	2021-03-05 21:30:51.395909707 +0100
+++ slackware64-current.2/source/a/btrfs-progs/btrfs-progs.SlackBuild	2021-09-18 13:40:05.398442568 +0200
@@ -110,7 +110,6 @@
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --mandir=/usr/man \
   --infodir=/usr/info \
-  --disable-zstd \
   --build=$ARCH-slackware-linux || exit 1
 
 # Build and install:
diff -ur slackware64-current/source/a/efivar/efivar.SlackBuild slackware64-current.2/source/a/efivar/efivar.SlackBuild
--- slackware64-current/source/a/efivar/efivar.SlackBuild	2021-03-05 21:30:51.395909707 +0100
+++ slackware64-current.2/source/a/efivar/efivar.SlackBuild	2021-09-18 13:40:05.398442568 +0200
@@ -96,8 +96,8 @@
 
 CFLAGS="$SLKCFLAGS -Wformat=0" \
 CXXFLAGS="$SLKCFLAGS" \
-make $NUMJOBS libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
-make $NUMJOBS install DESTDIR=${PKG}/ libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
+make libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
+make install DESTDIR=${PKG}/ libdir=/usr/lib$LIBDIRSUFFIX/ mandir=/usr/man/ || exit 1
 
 # Strip binaries:
 find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff -ur slackware64-current.2/source/a/unarj/unarj.SlackBuild slackware64-current.3/source/a/unarj/unarj.SlackBuild
--- slackware64-current.2/source/a/unarj/unarj.SlackBuild.orig	2021-05-21 18:31:34.831004514 +0200
+++ slackware64-current.3/source/a/unarj/unarj.SlackBuild	2021-10-09 16:30:38.613381584 +0200
@@ -55,6 +55,10 @@
 tar xzvf $CWD/unarj${VERSION}.tar.gz
 cd unarj${VERSION}
 chown -R root:root .
+
+# Patch for 32bit system with __TIMESIZE==64 by default (/usr/include/bits/timesize.h):
+zcat $CWD/time64_on_32bit_system.diff.gz | patch -p1 --verbose || exit 1
+
 cp -a $CWD/Makefile.gz .
 gzip --force -d Makefile.gz
 make || exit 1
diff -ur slackware64-current/source/ap/dc3dd/dc3dd.SlackBuild slackware64-current.2/source/ap/dc3dd/dc3dd.SlackBuild
--- slackware64-current/source/ap/dc3dd/dc3dd.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/ap/dc3dd/dc3dd.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -71,6 +71,10 @@
 cd $TMP 
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION 
+
+# Be Y2038 compliant (time_t 64 bits on 32bits machines):
+zcat $CWD/time64_on_32bit_machine.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild slackware64-current.2/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild
--- slackware64-current/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild	2018-04-23 19:20:52.261170202 +0200
+++ slackware64-current.2/source/ap/linuxdoc-tools/linuxdoc-tools.SlackBuild	2021-09-18 13:40:05.718458718 +0200
@@ -24,4 +24,6 @@
   exit 0
 fi
 
+export LANG=en_US.UTF-8
+
 ./trackbuild.linuxdoc-tools
diff -ur slackware64-current/source/ap/vim/vim.SlackBuild slackware64-current.2/source/ap/vim/vim.SlackBuild
--- slackware64-current/source/ap/vim/vim.SlackBuild	2023-07-06 16:22:32.604551246 +0200
+++ slackware64-current.2/source/ap/vim/vim.SlackBuild	2023-07-25 15:40:00.773632960 +0200
@@ -165,6 +165,9 @@
 # Don't make backups in /var/spool/cron/*, which fixes "crontab -e":
 zcat $CWD/vim.vimrc.diff.gz | patch -p1 --verbose || exit 1
 
+# Disable annoying textwidth=78 for text files:
+zcat $CWD/disable_textwidth_78.diff.gz | patch -p1 --verbose || exit 1
+
 cp -a runtime/vimrc_example.vim runtime/vimrc.new
 
 # Add patched vimrc to the package:
diff -ur slackware64-current/source/kde/kde/modules/all-packaged-applications slackware64-current.2/source/kde/kde/modules/all-packaged-applications
--- slackware64-current/source/kde/kde/modules/all-packaged-applications	2021-12-10 08:24:33.353743592 +0100
+++ slackware64-current.2/source/kde/kde/modules/all-packaged-applications	2021-12-31 14:27:41.216101138 +0100
@@ -207,6 +207,7 @@
 kpmcore
 partitionmanager
 skanlite
+kdevelop-pg-qt
 kdevelop
 kdev-php
 kdev-python
diff -ur slackware64-current/source/kde/kde/modules/applications slackware64-current.2/source/kde/kde/modules/applications
--- slackware64-current/source/kde/kde/modules/applications	2021-12-10 08:24:45.836742902 +0100
+++ slackware64-current.2/source/kde/kde/modules/applications	2021-12-31 14:27:17.454822503 +0100
@@ -207,6 +207,7 @@
 skanlite
 
 # kdevelop added to 21.12.0:
+kdevelop-pg-qt
 kdevelop
 kdev-php
 kdev-python
diff -ur slackware64-current/source/kde/kde/modules/applications-extra slackware64-current.2/source/kde/kde/modules/applications-extra
--- slackware64-current/source/kde/kde/modules/applications-extra	2021-12-31 14:24:59.527399636 +0100
+++ slackware64-current.2/source/kde/kde/modules/applications-extra	2021-12-31 14:27:02.354009883 +0100
@@ -20,4 +20,3 @@
 ktimetracker
 labplot
 kid3
-kdevelop-pg-qt
diff -ur slackware64-current/source/kde/kde/noarch slackware64-current.2/source/kde/kde/noarch
--- slackware64-current/source/kde/kde/noarch	2015-12-24 16:42:41.000000000 +0100
+++ slackware64-current.2/source/kde/kde/noarch	2023-08-12 10:12:20.290668226 +0200
@@ -3,6 +3,7 @@
 
 breeze-icons
 kde-wallpapers
+plasma-workspace-wallpapers
 oxygen-fonts
 oxygen-icons
 oxygen-icons5
diff -ur slackware64-current.2/source/l/db48/db48.SlackBuild slackware64-current.3/source/l/db48/db48.SlackBuild
--- slackware64-current.2/source/l/db48/db48.SlackBuild	2023-02-08 11:33:03.673010957 +0100
+++ slackware64-current.3/source/l/db48/db48.SlackBuild	2023-05-21 19:31:11.460051358 +0200
@@ -88,6 +88,10 @@
 # We aren't installing the docs anyway so let's not let them break the build:
 zcat $CWD/db48.no.broken.doc.install.diff.gz | patch -p1 --verbose || exit 1
 
+# On 32bit architectures, if you use _TIME_BITS=64 there is a wrongly local defined
+# "timespec" structure, fix it:
+zcat $CWD/db_timespec_for_64bit_time_t.diff.gz | patch -p1 --verbose || exit 1
+
 rm -rf build-dir
 mkdir build-dir
 cd build-dir
diff -ur slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild
--- slackware64-current.2/source/l/djvulibre/djvulibre.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/djvulibre/djvulibre.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -69,6 +69,9 @@
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$VERSION || cd $PKGNAM-$(echo $VERSION | rev | cut -f 2- -d . | rev) || exit 1
 
+# Adding missing cpal lossy options:
+zcat $CWD/djvulibre_cpal-lossy.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current.2/source/l/elfutils/elfutils.SlackBuild slackware64-current.3/source/l/elfutils/elfutils.SlackBuild
--- slackware64-current.2/source/l/elfutils/elfutils.SlackBuild	2021-04-13 20:07:19.309939691 +0200
+++ slackware64-current.3/source/l/elfutils/elfutils.SlackBuild	2021-09-18 13:42:54.446974362 +0200
@@ -78,6 +78,9 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# Fix time64 printf for new glibc (only or1k):
+zcat $CWD/time_t-long_int.diff.gz | patch -p1 --verbose || exit 1
+
 # Configure:
 CFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current.2/source/l/esound/esound.SlackBuild slackware64-current.3/source/l/esound/esound.SlackBuild
--- slackware64-current.2/source/l/esound/esound.SlackBuild	2022-10-12 03:03:12.378642328 +0200
+++ slackware64-current.3/source/l/esound/esound.SlackBuild	2023-07-16 08:08:16.011717106 +0200
@@ -70,6 +70,10 @@
 tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-$VERSION || exit 1
 
+# Avoid Internet access to download dtd models:
+tar xvf $CWD/dtd-docs.tar.gz
+sed -i 's|http://www.oasis-open.org/docbook/xml/4.1.2/||' docs/esound.sgml
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current.2/source/l/imagemagick/imagemagick.SlackBuild slackware64-current.3/source/l/imagemagick/imagemagick.SlackBuild
--- slackware64-current.2/source/l/imagemagick/imagemagick.SlackBuild	2022-01-25 15:08:35.302101566 +0100
+++ slackware64-current.3/source/l/imagemagick/imagemagick.SlackBuild	2023-07-23 23:08:34.999141727 +0200
@@ -23,7 +23,7 @@
 cd $(dirname $0) ; CWD=$(pwd)
 
 PKGNAM=imagemagick
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
 
 # NOTE:  This is to cope with ImageMagick version numbers such as 5.4.7-4,
 # which occur fairly often (but not always).  If these numbers are all the same,
@@ -96,6 +96,9 @@
 # Harden the default settings in policy.xml to prevent security issues:
 zcat $CWD/policy.xml.diff.gz | patch -p1 --verbose || exit 1
 
+# Fixed incorrect grayscale settings while converting grayscale JPEGs to PDF:
+zcat $CWD/jpeggray-pdf.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/l/json-c/json-c.SlackBuild slackware64-current.2/source/l/json-c/json-c.SlackBuild
--- slackware64-current/source/l/json-c/json-c.SlackBuild	2021-11-04 12:17:09.000000000 +0100 +++ slackware64-current.2/source/l/json-c/json-c.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -71,7 +71,7 @@
 rm -rf $PKG
 mkdir -p $TMP $PKG
 cd $TMP
-rm -rf $PKGNAME-$PKGNAM-$VERSION
+rm -rf $PKGNAM-$PKGNAM-$VERSION
 tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
 cd $PKGNAM-$PKGNAM-$VERSION || exit 1
 chown -R root:root .
diff -ur slackware64-current/source/l/libcaca/libcaca.SlackBuild slackware64-current.2/source/l/libcaca/libcaca.SlackBuild
--- slackware64-current/source/l/libcaca/libcaca.SlackBuild	2021-11-04 12:17:09.000000000 +0100
+++ slackware64-current.2/source/l/libcaca/libcaca.SlackBuild	2022-01-11 20:29:10.000000000 +0100
@@ -110,6 +110,8 @@
 cd python
   # python2 dropped dropped as obsolete.
   #python setup.py install --root=$PKG || exit 1
+  # Python needs libraries: copy them to system
+  \cp -a $PKG/usr/lib${LIBDIRSUFFIX}/lib* /usr/lib${LIBDIRSUFFIX}/
   python3 setup.py install --root=$PKG || exit 1
 cd -
 
diff -ur slackware64-current/source/l/libfakekey/libfakekey.SlackBuild slackware64-current.2/source/l/libfakekey/libfakekey.SlackBuild
--- slackware64-current/source/l/libfakekey/libfakekey.SlackBuild	2021-02-13 06:31:59.348945220 +0100
+++ slackware64-current.2/source/l/libfakekey/libfakekey.SlackBuild	2021-09-18 13:40:06.238484962 +0200
@@ -60,7 +60,6 @@
 elif [ "$ARCH" = "armv7hl" ]; then
   SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
   SLKLDFLAGS=""
-  LIBDIRSUFFIX="64"
   LIBDIRSUFFIX=""
 else
   SLKCFLAGS="-O2"
diff -ur slackware64-current/source/l/libtheora/libtheora.SlackBuild slackware64-current.2/source/l/libtheora/libtheora.SlackBuild
--- slackware64-current/source/l/libtheora/libtheora.SlackBuild	2021-02-13 06:32:00.655945148 +0100
+++ slackware64-current.2/source/l/libtheora/libtheora.SlackBuild	2021-09-18 13:40:06.318488999 +0200
@@ -80,6 +80,7 @@
 
 zcat $CWD/libtheora-1.1.1-libpng16.patch.gz | patch -p0 --verbose || exit 1
 zcat $CWD/libtheora-1.1.1.latex.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/libtheora-1.1.1-fix-pp_sharp_mod-calc.patch.gz | patch -p1 --verbose || exit 1
 
 # Configure:
 CFLAGS="$SLKCFLAGS" \
diff -ur slackware64-current.2/source/l/pipewire/pipewire.SlackBuild slackware64-current.3/source/l/pipewire/pipewire.SlackBuild
--- slackware64-current.2/source/l/pipewire/pipewire.SlackBuild	2022-01-06 16:31:57.876603994 +0100
+++ slackware64-current.3/source/l/pipewire/pipewire.SlackBuild	2023-07-13 12:00:28.950900534 +0200
@@ -86,6 +86,9 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# Add media-session (avoid online git clone):
+( cd subprojects ; tar xf $CWD/media-session.tar.lz )
+
 # Configure, build, and install:
 export CFLAGS="$SLKCFLAGS"
 export CXXFLAGS="$SLKCFLAGS"
diff -ur slackware64-current/source/n/elm/elm.SlackBuild slackware64-current.2/source/n/elm/elm.SlackBuild
--- slackware64-current/source/n/elm/elm.SlackBuild	2021-02-13 06:32:04.285944947 +0100
+++ slackware64-current.2/source/n/elm/elm.SlackBuild	2021-09-18 13:40:06.538500102 +0200
@@ -66,7 +66,7 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
-cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" > config.sh
+cat $CWD/config.sh | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#" | sed -e "s|/tmp|$TMP|" > config.sh
 mkdir -p $PKG/var/lib/elm \
          $PKG/usr/bin \
          $PKG/usr/man/man1 \
diff -ur slackware64-current/source/n/nfs-utils/nfs-utils.SlackBuild slackware64-current.2/source/n/nfs-utils/nfs-utils.SlackBuild
--- slackware64-current/source/n/nfs-utils/nfs-utils.SlackBuild	2021-02-13 06:32:04.285944947 +0100
+++ slackware64-current.2/source/n/nfs-utils/nfs-utils.SlackBuild	2021-09-18 13:40:06.538500102 +0200
@@ -101,6 +101,9 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# Fix compatibility on 32bit systems that has 64bit default time_t:
+zcat $CWD/time64_compatibility_on_32bit_system.diff.gz | patch -p1 --verbose || exit 1
+
 # Configure, build, and install:
 CFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current/source/x/fcitx/fcitx.SlackBuild slackware64-current.2/source/x/fcitx/fcitx.SlackBuild
--- slackware64-current/source/x/fcitx/fcitx.SlackBuild	2022-01-14 20:16:58.054321433 +0100
+++ slackware64-current.2/source/x/fcitx/fcitx.SlackBuild	2023-07-29 12:56:28.355781488 +0200
@@ -82,6 +82,9 @@
 tar xvf $CWD/fcitx-${VERSION}.tar.?z || exit 1
 cd fcitx-$VERSION || exit 1
 
+# Avoid to download data online:
+tar xvf $CWD/offline-data.tar.lz
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/xap/MPlayer/MPlayer.SlackBuild slackware64-current.2/source/xap/MPlayer/MPlayer.SlackBuild
--- slackware64-current/source/xap/MPlayer/MPlayer.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/xap/MPlayer/MPlayer.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -286,8 +289,8 @@
   sed -i "s/mtune=native/mtune=generic/g" config.mak
 fi
 
-make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PKGNAM}.log
-make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PKGNAM}.log
+make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PKGNAM}.log || exit 1
+make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PKGNAM}.log || exit 1
 
 # Build the html documentation (not all languages are available):
 if [ "$LANGUAGES" = "all" ]; then
diff -ur slackware64-current/source/xap/gimp/gimp.SlackBuild slackware64-current.2/source/xap/gimp/gimp.SlackBuild
--- slackware64-current/source/xap/gimp/gimp.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/xap/gimp/gimp.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -70,6 +70,9 @@
 tar xvf $CWD/gimp-$VERSION.tar.?z || exit 1
 cd gimp-$VERSION || exit 1
 
+# Revert selection behaviour from 2.10.28, since it does not correctly update the ants:
+zcat $CWD/gimp_selection_update_fix.diff.gz | patch -p1 --verbose || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/xap/gucharmap/gucharmap.SlackBuild slackware64-current.2/source/xap/gucharmap/gucharmap.SlackBuild
--- slackware64-current/source/xap/gucharmap/gucharmap.SlackBuild	2021-10-02 10:50:16.146632500 +0200
+++ slackware64-current.2/source/xap/gucharmap/gucharmap.SlackBuild	2023-08-01 10:36:42.039997072 +0200
@@ -69,6 +69,10 @@
 rm -rf gucharmap-$VERSION
 tar xvf $CWD/gucharmap-$VERSION.tar.?z* || exit 1
 cd gucharmap-$VERSION || exit 1
+
+# Add unicode files to avoid online download:
+tar xvf $CWD/unicode-offline-data.tar.lz
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff -ur slackware64-current/source/xap/pan/pan.SlackBuild slackware64-current.2/source/xap/pan/pan.SlackBuild
--- slackware64-current/source/xap/pan/pan.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/xap/pan/pan.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -67,6 +67,9 @@
 tar xvf $CWD/${PKGNAM}-*$VERSION.tar.?z || exit 1
 cd ${PKGNAM}-*$VERSION || exit 1
 
+# Avoid breaking line with an URL:
+zcat $CWD/pan-nolinkbreak.diff.gz | patch -p1 --verbose || exit 1
+
 # Make sure ownerships and permissions are sane:
 chown -R root:root .
 find . \
diff -ur slackware64-current/source/y/bsd-games/bsd-games.SlackBuild slackware64-current.2/source/y/bsd-games/bsd-games.SlackBuild
--- slackware64-current/source/y/bsd-games/bsd-games.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/y/bsd-games/bsd-games.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -56,7 +56,8 @@
 tar xvf $CWD/bsd-games-$VERSION.tar.?z || exit 1
 cd bsd-games-$VERSION || exit 1
 
-zcat $CWD/patches/bsd-games.config.params.diff.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
+# Patch the patch... fix package dir:
+zcat $CWD/patches/bsd-games.config.params.diff.gz | sed "s|/tmp/package-bsdgames|$PKG|" | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0001-Replace-getline-with-get_line.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0002-robots-Refresh-screen.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
 zcat $CWD/patches/0003-quiz-Update-presidents-capitals-fix-typos-in-murders.patch.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
@@ -96,7 +97,7 @@
 
 make || exit 1
 
-# Does this go to $PKG?  I am perplexed.
+# Install package (destination is fixed from patch/sed):
 make install || exit 1
 
 mkdir -p $PKG/usr/doc/bsd-games-$VERSION
diff -ur slackware64-current/source/y/nethack/nethack.SlackBuild slackware64-current.2/source/y/nethack/nethack.SlackBuild
--- slackware64-current/source/y/nethack/nethack.SlackBuild	2021-02-13 06:32:10.793944587 +0100
+++ slackware64-current.2/source/y/nethack/nethack.SlackBuild	2021-09-18 13:40:06.748510700 +0200
@@ -107,6 +107,12 @@
 
 sed -e "/^MANDIR\s*=/s|/usr/man/man6|$PKG/usr/man/man6|" -i sys/unix/Makefile.doc
 
+# Fixing CFLAGS (internal gcc error on sh4 with -O[1]):
+sed -i "s/^CFLAGS=-g -O /CFLAGS=$SLKCFLAGS /" sys/unix/hints/linux
+
+# Fixing error compiling with glibc 2.35+:
+zcat $CWD/warn_unused_result.diff.gz | patch -p1 --verbose || exit 1
+
 # Create a few directories:
 mkdir -p $PKG/usr/man/man6
 mkdir -p $PKG/usr/doc/nethack-$VERSION
@@ -116,7 +122,7 @@
 ( cd sys/unix ; sh setup.sh hints/linux )
 
 # Build and install:
-make -j1 install manpages PREFIX=$PKG
+make -j1 install manpages PREFIX=$PKG || exit 1
 
 # Fix some paths:
 sed -e "s|HACKDIR=$PKG/|HACKDIR=/|" \
diff -ur slackware64-current/pasture/source/php/php.SlackBuild slackware64-current.2/pasture/source/php/php.SlackBuild
--- slackware64-current/pasture/source/php/php.SlackBuild	2018-04-23 19:20:59.038170130 +0200
+++ slackware64-current.2/pasture/source/php/php.SlackBuild	2021-09-18 13:40:06.778512214 +0200
@@ -79,11 +79,12 @@
   ls -l $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a
   sleep 5
 else
-  ( cd $CWD/../alpine ; VERSION=${ALPINE} ; ./alpine.SlackBuild || exit 1 ) || exit 1
+  ( cd $CWD/alpine ; VERSION=${ALPINE} ; ./alpine.SlackBuild || exit 1 ) || exit 1
   ( cd $TMP/alpine-${ALPINE}/imap/c-client
     strip -g c-client.a
     mkdir -p $IMAPLIBDIR/lib${LIBDIRSUFFIX}
     cp c-client.a $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+    ln -s c-client.a $IMAPLIBDIR/lib${LIBDIRSUFFIX}/libc-client.a
     mkdir -p $IMAPLIBDIR/include
     cp *.h $IMAPLIBDIR/include
   )
@@ -132,6 +133,9 @@
 # Sometimes they ship a few of these:
 find . -name "*.orig" -exec rm {} \;
 
+# Fix missing TRUE/FALSE definitions:
+zcat $CWD/missing_TRUE_FALSE_definitions.diff.gz | patch -p1 --verbose || exit 1
+
 # Patch ini files:
 zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose || exit 1
 zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose php.ini-production || exit 1
@@ -242,6 +249,7 @@
   --with-gnu-ld \
   --with-pic \
   --enable-phpdbg \
+  --with-kerberos \
   --build=$ARCH-slackware-linux || exit 1
 
 # I am told this option is worse than nothing.  :-)
